Bug 1333425 (CVE-2016-8576) - CVE-2016-8576 Qemu: usb: xHCI: infinite loop vulnerability in xhci_ring_fetch
Summary: CVE-2016-8576 Qemu: usb: xHCI: infinite loop vulnerability in xhci_ring_fetch
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-8576
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1382322 1382323 1476049 1476068 1476069 1476072 1476074 1476077
Blocks: 1326713
TreeView+ depends on / blocked
 
Reported: 2016-05-05 13:18 UTC by Adam Mariš
Modified: 2019-09-29 13:48 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-16 10:24:57 UTC


Attachments (Terms of Use)
Backtrace report (4.16 KB, text/plain)
2016-05-05 13:23 UTC, Adam Mariš
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Product Errata RHSA-2017:2408 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-08-02 01:17:55 UTC

Description Adam Mariš 2016-05-05 13:18:27 UTC
Quick Emulator(Qemu) built with the USB xHCI controller emulation support is vulnerable to an infinite loop issue. It could occur while processing
USB command ring in 'xhci_ring_fetch'.

A privileged user/process inside guest could use this issue to crash the Qemu process on the host leading to DoS.

Upstream patch
--------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg01265.html

Comment 1 Adam Mariš 2016-05-05 13:18:31 UTC
Acknowledgments:

Name: Li Qiang (Qihoo 360)

Comment 3 Adam Mariš 2016-05-05 13:23:47 UTC
Created attachment 1154206 [details]
Backtrace report

Comment 4 Prasad J Pandit 2016-10-06 11:08:45 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1382323]

Comment 5 Prasad J Pandit 2016-10-06 11:09:03 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1382322]

Comment 6 Cole Robinson 2016-10-16 00:22:51 UTC
I think this ended up as:

commit 05f43d44e4bc26611ce25fd7d726e483f73363ce
Author: Gerd Hoffmann <kraxel@redhat.com>
Date:   Mon Oct 10 12:46:22 2016 +0200

    xhci: limit the number of link trbs we are willing to process

Comment 7 errata-xmlrpc 2017-08-02 00:55:39 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408

Comment 8 errata-xmlrpc 2017-08-02 04:44:18 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.